/*
 * Mbed class that creates a music player using the VS1053 + SD breakout
 * Created by Priunsh Nagru and Rahul Maran
 */
 
 
#include "mbed.h"
#include "SDFileSystem.h" 
 
class MusicPlayer { 

    public:
        MusicPlayer(PinName clk, PinName miso, PinName mosi, PinName cs, PinName rst, PinName xdcs, PinName sdcs, PinName dreq);
        void playMusic(string fileName);
        void stopMusic(); 
        void reset();
    private: 
        bool playing;
        DigitalOut _rst;
        DigitalOut _cs;
        DigitalOut _xdcs;
        DigitalOut _sdcs;
        DigitalOut _dreq;
        SPI _spi;
};
